Page MenuHomePhabricator

Clean up artifacts from LaTeX based math rendering
Closed, ResolvedPublic

Description

  • Remove dead code T195871
  • Remove texvc and texvccheck binaries from the repositories
  • Remove LaTeX and texvcv (check) from the production servers
  • Remove math table from the database T196055
  • check i18n/en.json for superflous messages now? I.e. "Missing <code>texvc</code> executable..." T210948

Follows T74240

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 2:00 PM
MoritzMuehlenhoff triaged this task as Normal priority.May 29 2018, 3:03 PM

Should we split this into three tickets since the actionables (and people acting on those) are fairly disjunct? (So one task to remove it from the Math extension, one task to remove it from the production installation/repositories and one to clean up the database)

@MoritzMuehlenhoff yes. I just started with this list as overview while brainstorming.

Physikerwelt updated the task description. (Show Details)May 29 2018, 3:39 PM
Physikerwelt updated the task description. (Show Details)May 31 2018, 1:44 PM

Change 440742 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/extensions/Math@master] Cleanup: Remove Makefile

https://gerrit.wikimedia.org/r/440742

Change 440742 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Cleanup: Remove Makefile

https://gerrit.wikimedia.org/r/440742

Vvjjkkii renamed this task from Clean up artifacts from LaTeX based math rendering to 42baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Scott renamed this task from 42baaaaaaa to Clean up artifacts from LaTeX based math rendering.Jul 1 2018, 5:20 PM
Scott lowered the priority of this task from High to Normal.
Scott updated the task description. (Show Details)
Scott added subscribers: Aklapper, gerritbot.
herron removed a project: Mail.Sep 5 2018, 2:09 PM
Physikerwelt updated the task description. (Show Details)Dec 2 2018, 4:45 PM
Physikerwelt updated the task description. (Show Details)Dec 2 2018, 5:01 PM
Paladox added a subscriber: Paladox.Dec 2 2018, 5:06 PM

Is cleaning up swift global-math-render.* containers in scope for this? afaik with mathoid now these containers shouldn't be used anymore?

Physikerwelt added a comment.EditedDec 3 2018, 1:12 PM

@fgiunchedi, unfortunately, I don't understand your question. From my perspective, the next step is to create a ticket for

Remove LaTeX and texvcv(check) from the production servers

that is appropriate for operations. Naively, the task corresponds to uninstalling the packages texlive-full and ocaml from the web server in a single private instance wiki. However, I understand that the setup at WMF is complex. That said I can not judge if

cleaning up swift global-math-render.* containers

is in the scope or not, since I have too few knowledge of the current production infrastructure.

Mentioned in SAL (#wikimedia-operations) [2019-10-01T15:36:37Z] <_joe_> uninstalling temporarily the math rendering related packages from mwdebug2002, test for T195847

Change 540154 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] mediawiki::packages: remove packages for math rendering

https://gerrit.wikimedia.org/r/540154

@Joe do we need to test that on other servers as well? I was thinking of merging this along with https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/538884/ (Remove tmpreaper from mediawiki servers)

Change 540154 merged by Giuseppe Lavagetto:
[operations/puppet@production] mediawiki::packages: remove packages for math rendering

https://gerrit.wikimedia.org/r/540154

Mentioned in SAL (#wikimedia-operations) [2019-10-16T12:38:52Z] <effie> remove tex* and math related packages from appserver canaries - T195847

Since we will be reimaging all mw* servers, those packages will need to be removed actually from snapshot*, deploy*, mwmaint* and labweb*

Mentioned in SAL (#wikimedia-operations) [2019-10-16T14:53:51Z] <effie> Remove tex* and math related packages from deploy*,mwmaint*,snapshot* - T195847

jijiki closed this task as Resolved.Wed, Oct 16, 2:59 PM
jijiki claimed this task.
jijiki updated the task description. (Show Details)
jijiki updated the task description. (Show Details)

mw* servers will be reimaged as part of T229792, this is resolved